Package org.silverpeas.components.resourcesmanager.model

## Class ResourceValidator

- java.lang.Object
- - org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<E,​I>
  - - org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<ResourceValidator,​ResourceValidatorPk>
    - - org.silverpeas.components.resourcesmanager.model.ResourceValidator

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

      @Entity
      public class ResourceValidator
      extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<ResourceValidator,​ResourceValidatorPk>
      implements Serializable

  Author:
    ehugonnet
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceValidator()` |
    `ResourceValidator​(long resourceId, long managerId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `long` | `getManagerId()` |
    `Resource` | `getResource()` |
    `long` | `getResourceId()` |
    `int` | `hashCode()` |
    `void` | `setResource​(Resource resource)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

      `performBeforePersist, performBeforeRemove, performBeforeUpdate`

    - ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

      `getId, getNativeId, isPersisted, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceValidator

          public ResourceValidator()

    - #### ResourceValidator

          public ResourceValidator​(long resourceId,
                                   long managerId)

  - ### Method Detail

    - #### getManagerId

          public long getManagerId()

    - #### getResourceId

          public long getResourceId()

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<ResourceValidator,​ResourceValidatorPk>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<ResourceValidator,​ResourceValidatorPk>`

    - #### getResource

          public Resource getResource()

    - #### setResource

          public void setResource​(Resource resource)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`